#
# spec file for package perl-Algorithm-Diff (Version 1.15)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         perl-Algorithm-Diff
License:      Artistic License
Group:        Development/Libraries/Perl
Requires:     perl = %{perl_version}
Autoreqprov:  on
Summary:      perl-Algorithm-Diff
Version:      1.15
Release:      0
Source:       http://www.cpan.org/modules/by-category/06_Data_Type_Utilities/Algorithm/Algorithm-Diff-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
perl-Algorithm-Diff

%prep
%setup -n Algorithm-Diff-%{version}
%define perl_site %(TMP=%{perl_sitearch}; echo ${TMP%/*})

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST Changes README
%{perl_vendorarch}/auto/Algorithm
%{perl_vendorlib}/Algorithm
%{_mandir}/man3/Algorithm::Diff*.3pm.gz
/var/adm/perl-modules/perl-Algorithm-Diff

%changelog -n perl-Algorithm-Diff
* Wed Feb 04 2004 - ke@suse.de
- New package: version 1.15.
